
@echo OFF
cls
COLOR 0A 

rem <PROGRAM-HEADER>
echo **************************************************
echo *                                                *
echo * CmdLineTools version                           *
echo *                                                *
echo **************************************************
echo.
echo Description:
echo        Check CmdLineTools version.
echo.
echo --------------------------------------------------------------------------------
rem: Informations :
rem         Author   : Vincent Duvernet
rem         Company  : Nolmë Informatique
rem         Web site : http://www.nolme.com
rem 
rem: Version :
rem         Creation Date     : 2015/10/07
rem         Last modification : 2015/10/07
rem         Script version    : 1.0
rem 
rem: History :
rem         1.0 (2015-10-07) : First version
rem 
rem: Bug report :
rem         None.
rem 
rem: Pre-required application(s) :
rem         Microsoft .NET framework 4.0
rem         Nolmë Informatique Command Line Tools 4.x
rem 
rem: Windows compatibility :
rem         Workstations : XP SP3, Vista SP2, 7 SP1, 8, 10
rem         Server       : 2003 SP3, 2008 SP2, 2008 R2 SP2, 2012, 2012 R2
rem 
rem: Sources :
rem         None.
rem 
rem: Variables :
rem         Name                            Type       Visibility     Values / Comment
rem         ----------------------------------------------------------------------------------------------------------------
rem         g_strBatchPath                  String     Static         Current script directory.
rem         g_strCurrentDirectory           String     Static         Current directory when running this script.
rem         g_strCmdLineToolsFolder         String     Static         CmdLineTools binary folder. Change this variable to use other version of CmdLineTools.
rem         g_strInternalOutputFullFilename String     Static         Output filename for data exchange between application and script.
rem         g_strCommand%%NAME%%FullPath    String     Static         Full filename of CmdLineTools application. Replace %%NAME%% by AppVersion4, Is64Bits4...
rem 
rem         g_bInstalled                    Boolean    Output         0=CmdLineTools not installed. 1=CmdLineTools installed.
rem 
rem: Notes :
rem         None.
rem 
rem ************************************************************************************************************************
rem </PROGRAM-HEADER>

rem <INIT>
echo [Initialisation]
echo ----------------
echo.
setlocal enabledelayedexpansion
set g_strBatchPath=%~dp0
set g_strCurrentDirectory=%CD%
set g_strCmdLineToolsFolder=!g_strBatchPath!\..\bin
set g_strInternalOutputFullFilename=%TEMP%\Nolme_SDK_Output.log

set g_strCommandAppVersion4FullPath=!g_strCmdLineToolsFolder!\AppVersion4.exe
set g_strCommandIsInstalled4FullPath=!g_strCmdLineToolsFolder!\IsInstalled4.exe

rem Display current directory
echo - Batch directory : 
echo !g_strBatchPath!
echo.
rem Display current directory
echo - Current directory : 
echo !g_strCurrentDirectory!
echo.
rem Display CmdLineTools directory
echo - CmdLineTools directory : 
echo !g_strCmdLineToolsFolder!
echo.

echo Initialization done.
echo.
rem </INIT>

rem <MAIN>
echo [Main]
echo ------
echo.

rem --------------------------------
rem First way
rem --------------------------------
echo Version 1:
rem Check if CmdLineTools folder exist
IF EXIST "!g_strCmdLineToolsFolder!" (
    "!g_strCommandAppVersion4FullPath!" -fv -f "!g_strCommandAppVersion4FullPath!" > "!g_strInternalOutputFullFilename!"

    SET /P MyVar= < "!g_strInternalOutputFullFilename!"
    echo  Nolme - CmdLineTools      : Installed [!MyVar!].
) else (
    echo  Nolme - CmdLineTools      : NOT INSTALLED.
)

rem --------------------------------
rem Second way
rem --------------------------------
echo.
echo Version 2:
"%!g_strCommandIsInstalled4FullPath!" -guid "{78F3A65F-31D3-4124-86C6-7E8A4FCC23B2}_is1" -x64 -q
if %ERRORLEVEL%==1 (
    set g_bInstalled=1
) else if %ERRORLEVEL%==0 (
    set g_bInstalled=0
) else (
    set g_bInstalled=-1
)

rem Display result
if %g_bInstalled%==1 (
    echo  Nolme - CmdLineTools      : Installed.
) else if %g_bInstalled%==0 (
    echo  Nolme - CmdLineTools      : NOT INSTALLED.
) else (
    echo  Nolme - CmdLineTools      : Unknown state.
)

rem </MAIN>

rem <FOOTER>
echo.
echo [End of script]
echo ---------------
Pause
GOTO:EOF
rem </FOOTER>
rem ------------------------------------------------------------------------------------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------
rem --------------------------------------------         END OF FILE          ----------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------