
@echo OFF
cls
COLOR 0A

rem <PROGRAM-HEADER>
echo **************************************************
echo *                                                *
echo * Mail 4                                         *
echo *                                                *
echo **************************************************
echo.
echo Description:
echo        Send an e-mail.
echo.
echo --------------------------------------------------------------------------------
rem: Informations :
rem         Author   : Vincent Duvernet
rem         Company  : Nolm Informatique
rem         Web site : http://www.nolme.com
rem 
rem: Version :
rem         Creation Date     : 2015/10/07
rem         Last modification : 2015/10/07
rem         Script version    : 1.0
rem 
rem: History :
rem         1.0 (2015-10-07) : First version
rem 
rem: Bug report :
rem         None.
rem 
rem: Pre-required application(s) :
rem         Microsoft .NET framework 4.0
rem         Nolm Informatique Command Line Tools 4.x
rem 
rem: Windows compatibility :
rem         Workstations : XP SP3, Vista SP2, 7 SP1, 8, 10
rem         Server       : 2003 SP3, 2008 SP2, 2008 R2 SP2, 2012, 2012 R2
rem 
rem: Sources :
rem         None.
rem 
rem: Variables :
rem         Name                            Type       Visibility     Values / Comment
rem         ----------------------------------------------------------------------------------------------------------------
rem         g_strBatchPath                  String     Static         Current script directory.
rem         g_strCurrentDirectory           String     Static         Current directory when running this script.
rem         g_strCmdLineToolsFolder         String     Static         CmdLineTools binary folder. Change this variable to use other version of CmdLineTools.
rem         g_strInternalOutputFullFilename String     Static         Output filename for data exchange between application and script.
rem         g_strCommand%%NAME%%FullPath    String     Static         Full filename of CmdLineTools application. Replace %%NAME%% by AppVersion4, Is64Bits4...
rem 
rem         g_strSenderName                 String     Temp           Sender name.
rem         g_strSenderEmail                String     Temp           Sender e-mail.
rem         g_strDestinationEmail           String     Temp           Recipient e-mail.
rem         g_strEmailSubject               String     Temp           E-mail subject.
rem         g_strEmailBody                  String     Temp           E-mail body.
rem         g_strSmtpServer                 String     Temp           SMTP server name.
rem         g_strSmtpName                   String     Temp           SMTP user name (for auth.).
rem         g_strSmtpPassword               String     Temp           SMTP user password (for auth.).
rem 
rem: Notes :
rem         None.
rem 
rem ************************************************************************************************************************
rem </PROGRAM-HEADER>

rem <INIT>
echo [Initialisation]
echo ----------------
echo.
setlocal enabledelayedexpansion
set g_strBatchPath=%~dp0
set g_strCurrentDirectory=%CD%
set g_strCmdLineToolsFolder=!g_strBatchPath!\..\bin
set g_strInternalOutputFullFilename=%TEMP%\Nolme_SDK_Output.log

set g_strCommandMail4FullPath=!g_strCmdLineToolsFolder!\Mail4.exe

rem This script will prompt for some of these variables
set g_strSenderName=From sender name
set g_strSenderEmail=sender@email.net
set g_strDestinationEmail=destination@email.net
set g_strEmailSubject=This is a QuickMail test subject
set g_strEmailBody=^<b^>This message^</b^> is written in ^<i^>HTML^</i^> because of -html flag.^<br/^>This is a W3C compliant email.
set g_strSmtpServer=smtp.server.net
set g_strSmtpName=MyEmailAccountForAuthentification
set g_strSmtpPassword=MyEmailAccountPassword

echo Initialization done.
echo.
rem </INIT>

rem <MAIN>
echo [Main]
echo ------
echo.

:LabelSenderEmail
echo.
set /P g_strSenderEmail=Enter SENDER email: 
IF '%g_strSenderEmail%'=='' (
    ECHO Empty input, try again
    goto:LabelSenderEmail
)

:LabelDestinationEmail
echo.
set /P g_strDestinationEmail=Enter DESTINATION email: 
IF '%g_strDestinationEmail%'=='' (
    ECHO Empty input, try again
    goto:LabelDestinationEmail
)

:LabelSmtp
echo.
set /P g_strSmtpServer=Enter YOUR smtp server: 
IF '%g_strSmtpServer%'=='' (
    ECHO Empty input, try again
    goto:LabelSmtp
)

:LabelSmtpName
echo.
set /P g_strSmtpName=Enter YOUR smtp account name: 
IF '%g_strSmtpName%'=='' (
    ECHO Empty input, try again
    goto:LabelSmtpName
)

:LabelSmtpPassword
echo.
set /P g_strSmtpPassword=Enter YOUR smtp account password: 
IF '%g_strSmtpPassword%'=='' (
    ECHO Empty input, try again
    goto:LabelSmtpPassword
)

ECHO Send email...
"!g_strCommandMail4FullPath!" -fn "%g_strSenderName%" -fm "%g_strSenderEmail%" -tm "%g_strDestinationEmail%" -s "%g_strEmailSubject%" -b "%g_strEmailBody%" -html -smtp "%g_strSmtpServer%" -smtpName "%g_strSmtpName%" -smtpPassword "%g_strSmtpPassword%"
if %ERRORLEVEL%==-1 (
    echo Help displayed - WE CAN'T REACH THIS CASE IN THIS SAMPLE
) else if %ERRORLEVEL%==1 (
    echo All is OK.
) else if %ERRORLEVEL%==0 (
    echo Value not found - WE CAN'T REACH THIS CASE IN THIS SAMPLE
) else (
    echo ERROR - Unknown value - WE CAN'T REACH THIS CASE IN THIS SAMPLE
)
echo.


rem </MAIN>

rem <FOOTER>
echo.
echo [End of script]
echo ---------------
Pause
GOTO:EOF
rem </FOOTER>
rem ------------------------------------------------------------------------------------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------
rem --------------------------------------------         END OF FILE          ----------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------